File: changelog

package info (click to toggle)
doctorj 5.0.0-6
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 6,196 kB
  • sloc: java: 30,027; xml: 331; makefile: 41; sh: 16
file content (207 lines) | stat: -rw-r--r-- 6,854 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
doctorj (5.0.0-6) unstable; urgency=medium

  * Team upload.
  * Package adopted by the Java Team
  * Added the Homepage field (Closes: #615390)
  * Standards-Version updated to 4.4.0
  * Switch to debhelper level 11
  * Switch to source format 3.0 (quilt)
  * Removed the empty maintainer scripts
  * Build with the DH sequencer
  * Depend on default-jre instead of java2-runtime
  * Added a watch file
  * Improved the package description
  * Set the source/target level when compiling the source files

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 09 Sep 2019 22:06:11 +0200

doctorj (5.0.0-5) unstable; urgency=low

  * Change Java dependancies to default-jdk/java2-runtime to
    remove kaffe (closes: #548814)
  * Move DH_COMPAT from rules to debian/compat
  * Increase debhelper build-dep to version 7
  * Added Homepage tag to control file/desription
  * Bump Standards-Version to 3.8.3

 -- Paul Cupis <paul@cupis.co.uk>  Sun, 27 Dec 2009 09:05:19 +0000

doctorj (5.0.0-4) unstable; urgency=low

  * Change Build-Dep from free-java-sdk to java-gcj-compat-dev
    (closes: #401495)

 -- Paul Cupis <paul@cupis.co.uk>  Sun, 05 Aug 2007 13:21:31 +0100

doctorj (5.0.0-3) unstable; urgency=low

  * Package should have been arch:all since version 5 as it is
    now a java program itself and so it platform-independant.
    Update control file to reflect this. (closes: #355582)
  * Bump Standards-Version to 3.7.2.

 -- Paul Cupis <paul@cupis.co.uk>  Mon, 12 Jun 2006 21:52:54 +0100

doctorj (5.0.0-2) unstable; urgency=low

  * Acknowledge NMU.
  * Remove Conflict with sablevm as it seems to be overkill.
    - doctorj and sablevm should be able to co-exist (closes: #268320)
  * doctorj can now be built by sablevm, tested on i386 and alpha
    (closes: #285462)

 -- Paul Cupis <paul@cupis.co.uk>  Sun, 27 Mar 2005 15:48:49 +0100

doctorj (5.0.0-1.1) unstable; urgency=low

  * NMU during BSP
  * Depend on kaffe | gij | java-virtual-machine but Conflict against
    sablevm... (closes: #268320)
  * fix clean

 -- Rene Engelhard <rene@debian.org>  Sun, 28 Nov 2004 12:39:27 +0100

doctorj (5.0.0-1) unstable; urgency=low

  * New upstream release (closes: #262255)
  * DoctorJ has been re-written in Java, so change build-dep to
    free-java-sdk instead of using build-essential+flex+bison.
  * Add "export CLASSPATH" to wrapper script.

 -- Paul Cupis <paul@cupis.co.uk>  Sun, 15 Aug 2004 18:02:30 +0100

doctorj (4.0.2-2) unstable; urgency=low

  * Fix FTBFS in syntj/src/ErrorImproperSequence.h (closes: #239505)

 -- Paul Cupis <paul@cupis.co.uk>  Sun, 28 Mar 2004 15:29:25 +0100

doctorj (4.0.2-1) unstable; urgency=low

  * New upstream version.
  * Upstream reports that this release has fixed 64-bit support
    (closes: #207172)

 -- Paul Cupis <paul@cupis.co.uk>  Sun, 31 Aug 2003 11:53:42 +0100

doctorj (4.0.1-2) unstable; urgency=low

  * And this time without uploading the CVS directories in the diff.

 -- Paul Cupis <paul@cupis.co.uk>  Wed, 20 Aug 2003 21:56:42 +0100

doctorj (4.0.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.6.1 - no changes.
  * Upstream manpage is clearer wrt. specifying multiple suppress
    options in the config file (closes: #183437)

 -- Paul Cupis <paul@cupis.co.uk>  Wed, 20 Aug 2003 21:16:27 +0100

doctorj (4.0.0-1) unstable; urgency=low

  * New upstream release.
  * Remove the --enable-debug option for configure - upstream seems
    to have fixed the compile problems encountered with gcc 3.2.

 -- Paul Cupis <paul@cupis.co.uk>  Thu, 27 Feb 2003 20:20:21 +0000

doctorj (3.3.9-2) unstable; urgency=low

  * Rebuild for gcc 3.2 transition.
  * Standards-Version: 3.5.8 (no changes)
  * removed -n option from dh_installdocs - building and testing
    against sid with gcc3.2
  * configure with --enable-debug, as current codebase does not
    otherwise compile correctly with gcc3.2 otherwise - upstream
    is aware of this

 -- Paul Cupis <paul@cupis.co.uk>  Sun,  2 Feb 2003 18:32:13 +0000

doctorj (3.3.9-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.5.7
  * debian/rules now turns on all compiler warnings, respects
    'noopt' in DEB_BUILD_OPTIONS, and creates code with debug
    information in
  * dh_installdocs uses -n for this release - debhelper in testing
    still creates /usr/doc symlinks
  * Don't set infodir in ./configure, don't run dh_installman

 -- Paul Cupis <paul@cupis.co.uk>  Sat, 16 Nov 2002 23:30:30 +0000

doctorj (3.3.7-2) unstable; urgency=low

  * Applied upstream patch to fix incorrect usage of unsigned 'char'
    which prevented usage of doctorj on arm, powerpc, s390.
    (closes: #160190)

 -- Paul Cupis <paul@cupis.co.uk>  Wed, 11 Sep 2002 23:45:22 +0100

doctorj (3.3.7-1) unstable; urgency=low

  * New upstream release
  * This release has been tested by the upstream author on
    multiple platforms, including Debian 3.0 on an alpha processor,
    and so should now compile on alpha and ia64 (closes: #155736)

 -- Paul Cupis <paul@cupis.co.uk>  Sat,  7 Sep 2002 15:43:23 +0100

doctorj (3.3.6-1) unstable; urgency=low

  * New upstream release
  * This release should include better cross-platform support
    and may now build on ia64 (#155736)
  * Upstream has added a TODO file, included in docs (#151483)
  * Modified bc/src/BcClassfileReader.cpp
    - added a suffix of LL to the hex values in this file
        The values are 64-bit integers, add gcc 2.95 will not
        compile the file without the LL specification.
        Upstream is aware of this issue and should include a fix
        in the next release.

 -- Paul Cupis <paul@cupis.co.uk>  Thu, 22 Aug 2002 18:26:15 +0100

doctorj (3.3.5-1) unstable; urgency=low

  * New upstream release
  * Upstream says that this release fixes gcc3 build errors, and
    that is has been tested with gcc 3.0.3 (closes: #151889)

 -- Paul Cupis <paul@cupis.co.uk>  Wed, 17 Jul 2002 17:47:37 +0100

doctorj (3.3.3-1) unstable; urgency=low

  * New upstream release
  * This release should fix gcc3 build errors (closes: #151889)

 -- Paul Cupis <paul@cupis.co.uk>  Thu, 11 Jul 2002 19:31:28 +0100

doctorj (3.3.2-3) unstable; urgency=low

  * Moved to debhelper version 4
  * Do not include the unnecessary libraries in package (closes: #151403)
  * Thanks to Adrian Bunk for manually closing bug #147302

 -- Paul Cupis <paul@cupis.co.uk>  Sat, 29 Jun 2002 23:36:47 +0100

doctorj (3.3.2-2) unstable; urgency=low

  * Fixed build-dep's, removing automake1.4 and adding flex and bison.

 -- Paul Cupis <paul@cupis.co.uk>  Sat, 15 Jun 2002 15:45:06 +0100

doctorj (3.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Paul Cupis <paul@cupis.co.uk>  Thu, 13 Jun 2002 20:05:34 +0100

doctorj (3.3.1-1) unstable; urgency=low

  * Initial Release.

 -- Paul Cupis <paul@cupis.co.uk>  Sun,  2 Jun 2002 20:33:42 +0100